Page MenuHomePhabricator

Modernize Puppet Configuration Management (2017-18 Q3 Goal)
Closed, ResolvedPublic

Description

Main tracking task for 2017-18 Q3 goal Modernize Puppet configuration management:

  • Complete Puppet 4 agent upgrade on Ubuntu trusty hosts T182894
  • Upgrade PuppetDB to version 3.2 or newer T177253
  • Upgrade Puppet master infrastructure to Debian stretch T184562
  • Investigate landscape of PuppetDB frontends, and provision one T184563
  • Port Cumin to work with a newer PuppetDB API T182575
  • Investigate challenges and plan Puppet 5 upgrade T184564

Related Objects

StatusSubtypeAssignedTask
Resolvedjbond
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedVolans
Resolvedjbond
Resolvedjbond
Declinedjbond
Openjbond
Resolvedjbond
Resolvedjbond
Resolvedjbond
Resolvedjbond
Resolvedjbond
Resolvedherron
Resolvedherron
ResolvedVolans
Resolvedherron
Resolvedherron
Resolvedherron
Resolvedherron
Resolvedherron
ResolvedMoritzMuehlenhoff
Resolvedherron
Resolvedherron
Resolvedherron
Resolvedherron
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedVolans

Event Timeline

herron triaged this task as Medium priority.Jan 9 2018, 9:50 PM
herron created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2018, 9:50 PM
Paladox added a subscriber: Paladox.
Volans updated the task description. (Show Details)Jan 9 2018, 10:48 PM
Volans added a subscriber: faidon.Jan 9 2018, 11:06 PM
Volans added a subscriber: Volans.Jan 15 2018, 10:00 AM

Change 421839 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/dns@master] Remove non-authoritative SRV puppet records

https://gerrit.wikimedia.org/r/421839

Change 421860 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] [WIP] puppetmaster: adjust passenger pool size

https://gerrit.wikimedia.org/r/421860

Change 421839 merged by Filippo Giunchedi:
[operations/dns@master] Remove non-authoritative SRV puppet records

https://gerrit.wikimedia.org/r/421839

fgiunchedi updated the task description. (Show Details)Mar 28 2018, 2:18 PM
herron updated the task description. (Show Details)
herron updated the task description. (Show Details)

Change 421860 merged by Filippo Giunchedi:
[operations/puppet@production] puppetmaster: adjust passenger pool size

https://gerrit.wikimedia.org/r/421860

238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.
This comment was removed by Volans.
Volans changed the visibility from "Custom Policy" to "Public (No Login Required)".
Volans removed a subscriber: 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 8:45 AM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:11 PM
jbond closed this task as Resolved.Nov 7 2019, 5:36 PM
jbond claimed this task.
jbond closed subtask T184564: Plan Puppet 5 upgrade as Resolved.
jbond added a subscriber: jbond.

suspect this can be closed but reopen if im wrong